package es.verdnatura.domain

import android.content.Context
import es.verdnatura.presentation.view.feature.shelvingparking.model.ItemShelvingParkingVO
import retrofit2.Call

class GetShelvingParkingUserCase(context: Context) : RestClient(context) {

    fun shelvingParking_get(
        usuario: String,
        password: String,
        vShelvingFk: String,
        vWarehouseFk: String,
        vDayRange: String
    ): Call<List<ItemShelvingParkingVO>> {
        val params: ArrayList<String> = ArrayList()
        params.add(vShelvingFk)
        params.add(vWarehouseFk)
        params.add(vDayRange)
        return restClient!!.shelvingParking_get(
            "json",
            "1",
            usuario,
            password,
            "application/json",
            params
        )
    }
}

